#
# Conditional build:
%bcond_without	tests		# do not perform "make test"

%define		pdir	version
%include	/usr/lib/rpm/macros.perl
Summary:	version - Perl extension for Version Objects
Summary(pl.UTF-8):	version - rozszerzenie Perla dla obiektów wersji
Name:		perl-version
Version:	0.9924
Release:	1
Epoch:		1
# same as perl
License:	GPL v1+ or Artistic
Group:		Development/Languages/Perl
Source0:	http://www.cpan.org/modules/by-module/version/%{pdir}-%{version}.tar.gz
# Source0-md5:	8d252fa8530b53d4baefbb89c5c60929
URL:		http://search.cpan.org/dist/version/
BuildRequires:	perl-ExtUtils-MakeMaker >= 6.17
BuildRequires:	perl-ExtUtils-CBuilder
BuildRequires:	perl-devel >= 1:5.8.0
BuildRequires:	rpm-perlprov >= 4.1-13
%if %{with tests}
BuildRequires:	perl-File-Temp >= 0.13
BuildRequires:	perl-Test-Simple >= 0.45
BuildRequires:	perl-parent >= 0.221
%endif
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
Overloaded version objects for all versions of Perl. This module
implements all of the features of version objects which will be part
of Perl 5.10.0 except automatic version object creation.

%description -l pl.UTF-8
Przeciążone obiekty wersji dla wszystkich wersji Perla. Ten moduł
implementuje wszystkie możliwości obiektów wersji, które będą częścią
Perla 5.10.0, z wyjątkiem automatycznego tworzenia obiektu wersji.

%prep
%setup -q -n %{pdir}-%{version}

%build
%{__perl} Makefile.PL \
	INSTALLDIRS=vendor
%{__make}

%{?with_tests:%{__make} test}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} pure_install \
	DESTDIR=$RPM_BUILD_ROOT

%{__rm} $RPM_BUILD_ROOT%{perl_vendorarch}/version/Internals.pod
%{__rm} $RPM_BUILD_ROOT%{perl_vendorarch}/version.pod

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc README
%{perl_vendorarch}/version.pm
%dir %{perl_vendorarch}/version
%{perl_vendorarch}/version/regex.pm
%{perl_vendorarch}/version/vpp.pm
%{perl_vendorarch}/version/vxs.pm
%dir %{perl_vendorarch}/auto/version
%dir %{perl_vendorarch}/auto/version/vxs
%attr(755,root,root) %{perl_vendorarch}/auto/version/vxs/vxs.so
%{_mandir}/man3/version*.3pm*
%changelog
* Thu Aug 30 2018 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/perl-version.git;a=log;h=master

* Wed Aug 29 2018 Marcin Krol <hawk@tld-linux.org> ffa154d
- updated to 0.9924

* Wed Feb 21 2018 Marcin Krol <hawk@tld-linux.org> 7922a69
- release 4

* Sun Jun 11 2017 Jan Rękorajski <baggins@pld-linux.org> f7f71b9
- perl req/prov fix
- release 3 (by relup.sh)

* Sun Jun 11 2017 Jan Rękorajski <baggins@pld-linux.org> 21d3079
- rebuild with perl 5.26
- release 2 (by relup.sh)

* Fri May 19 2017 Mariusz Mazur <mmazur@pld-linux.org> 081c909
- Up to 0.9918

* Wed Nov 02 2016 Jan Rękorajski <baggins@pld-linux.org> 1330a46
- up to 0.9917

* Sun Oct 30 2016 Jan Rękorajski <baggins@pld-linux.org> 216b5f8
- rebuild with perl 5.24.0
- release 4 (by relup.sh)

* Sun Jan 03 2016 Jan Rękorajski <baggins@pld-linux.org> 7661ecc
- release 3 (by relup.sh)

* Thu Dec 24 2015 Jan Rękorajski <baggins@pld-linux.org> 0163898
- release 2 (by relup.sh)

* Wed Aug 26 2015 Jakub Bogusz <qboosh@pld-linux.org> e5593e1
- updated to 0.9912

* Fri Sep 12 2014 Jan Rękorajski <baggins@pld-linux.org> 094ddc2
- release 3 (by relup.sh)

* Fri Sep 12 2014 Jan Rękorajski <baggins@pld-linux.org> 8cd42d8
- removed zero-sized .bs file

* Fri Sep 12 2014 Jan Rękorajski <baggins@pld-linux.org> df452f3
- rebuild for perl 5.20
- release 2 (by relup.sh)

* Sun Nov 03 2013 Elan Ruusamäe <glen@delfi.ee> ad80b3b
- up to 0.9903, adds version/vpp.pm

* Wed Jun 19 2013 Jakub Bogusz <qboosh@pld-linux.org> dc9a814
- updated to 0.9902

* Sat Jun 08 2013 Jan Rękorajski <baggins@pld-linux.org> 9336ed0
- rebuild with perl 5.18.0
- release 2 (by relup.sh)

* Sat May 26 2012 Jakub Bogusz <qboosh@pld-linux.org> b82a143
- updated to 0.99

* Sun Jan 15 2012 zbyniu <zbyniu@pld-linux.org> c190b4d
- up to 0.95

* Wed Feb 23 2011 Jakub Bogusz <qboosh@pld-linux.org> 1626ff5
- use package name for Test::More
- removed no longer used perl-Module-Build BR

* Fri Feb 11 2011 lisu <lisu@pld-linux.org> e8579e2
- up to 0.88
- build using Makefile.pl instead of Build.pl
- more verbose man files

